#
# Conditional build:
%bcond_without	emacs	# Emacs mode
#
Summary:	Program for learning typist
Summary(hu.UTF-8):	Program gépírás tanulásához
Summary(pl.UTF-8):	Program do nauki bezwzrokowego pisania na klawiaturze
Name:		gtypist
Version:	2.9.3
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/gtypist/%{name}-%{version}.tar.xz
# Source0-md5:	b9537888dc87ae43f82010cd4fe69811
Patch0:		%{name}-info.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-format-error.patch
URL:		http://www.gnu.org/software/gtypist/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8.2
%{?with_emacs:BuildRequires:	emacs}
BuildRequires:	gettext-devel >= 0.12.1
BuildRequires:	ncurses-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Obsoletes:	typist
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program came from a desire to learn 'proper' typing.

%description -l hu.UTF-8
Ez a program a gépírás tanulásához íródott.

%description -l pl.UTF-8
Program do nauki bezwzrokowego pisania na klawiaturze. Oferuje kilka
lekcji, na razie tylko po angielsku.

%package emacs
Summary:	Emacs mode for editing gtypist's .typ files
Summary(pl.UTF-8):	Tryb Emacsa do edycji plików .typ gtypista
Group:		Applications/Editors/Emacs
# doesn't require gtypist itself

%description emacs
Emacs mode for editing gtypist's .typ files.

%description emacs -l pl.UTF-8
Tryb Emacsa do edycji plików .typ gtypista.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
# info creation fails randomly with big -j
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS QUESTIONS README THANKS TODO
%attr(755,root,root) %{_bindir}/gtypist
%attr(755,root,root) %{_bindir}/typefortune
%{_datadir}/%{name}
%{_mandir}/man1/gtypist.1*
%{_mandir}/man1/typefortune.1*
%{_infodir}/gtypist.info*
%lang(cs) %{_infodir}/gtypist.cs.info*
%lang(es) %{_infodir}/gtypist.es.info*

%if %{with emacs}
%files emacs
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/gtypist-mode.el*
%endif
%changelog
* Mon Jun 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtypist.git;a=log;h=master

* Mon Jun 10 2013 Kacper Kornet <draenog@pld-linux.org> 8e769ca
- updated to 2.9.3

* Mon Jun 10 2013 Kacper Kornet <draenog@pld-linux.org> 4fbc27a
- fix format string error

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> fe886e4
- updated to 2.9.2
- added am patch (fixes build with automake 1.13)

* Fri Jul 13 2012 Kacper Kornet <draenog@pld-linux.org> 475ffda
- up to 2.9.1
- Polish translation included upstream

* Fri Nov 04 2011 Jakub Bogusz <qboosh@pld-linux.org> b8e025c
- updated to 2.9
- updated info,pl.po patches (the latter now just updates existing pl translation)
- removed obsolete ncurses patch

* Mon Sep 26 2011 Jakub Bogusz <qboosh@pld-linux.org> a6100b0
- try -j1

* Sun Sep 18 2011 Jakub Bogusz <qboosh@pld-linux.org> d61e500
- restored and updated my old pl.po

* Sun Sep 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 74f4288
- added info patch (unify direntries)
- emacs mode BRs emacs; added bcond and meaningful description for this subpackage
- updated descs and GPL version

* Tue Sep 13 2011 Kacper Kornet <draenog@pld-linux.org> 5e9b96d
- up to 2.8.5

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f3d356
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 04893b9
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 43b8718
- drop obsolete files

* Tue Apr 07 2009 Zsolt Udvari <uzsolt@pld-linux.org> b246324
- 2.8.3

* Tue Apr 07 2009 Zsolt Udvari <uzsolt@pld-linux.org> e4b8e85
- 2.8.3
- emacs subpackage
- hungarizing

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 2363d9f
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8ba3997
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a907f86
- converted to UTF-8

* Sun Jul 23 2006 Jarosław Kruk <jareq@pld-linux.org> 3f4b108
- remove BR to xemacs (it's not needed)

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> a7c2c18
- automake epoch

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 2f91a4c
- BR: texinfo

